GoPxL SDK

- Home
- Files
- Namespace

Public Member Functions
GoPxLSdk::GoInstance Class Reference

## Public Member Functions
const std::string & | GetAppId () const
| Gets the unique Application Id of GoPxL instance. More...
const std::string & | GetAppName () const
| Gets the Application name of GoPxL instance. More...
const std::string & | GetAppVersion () const
| Gets the Application version of GoPxL instance. More...
const k32u & | GetControlPort () const
| Gets the Control port of GoPxL instance. More...
const std::string & | GetDeviceModel () const
| Gets the Device model of GoPxL instance. More...
const kIpAddress & | GetGateway () const
| Gets the Gateway of GoPxL instance. More...
const k32u & | GetGdpPort () const
| Gets the Gocator Data Protocol (Gdp) port of GoPxL instance. More...
const kIpAddress & | GetIpAddress () const
| Gets the Ip address of GoPxL instance. More...
const bool | GetIsAddressConflict () const
| Checks if there was an IP address conflict. More...
const bool | GetIsDhcp () const
| Checks if the Dhcp of GoPxL instance is enabled or not. More...
const bool | GetIsRemote () const
| Checks if the GoPxL instance is connected remotely. More...
const kIpAddress & | GetMask () const
| Gets the Mask of GoPxL instance. More...
const k32u & | GetSerialNumber () const
| Gets the Serial Number of GoPxL instance. More...
const k32u & | GetWebPort () const
| Gets the Web port of GoPxL instance. More...
| GoInstance ()
| Constructs GoInstance. More...
void | SetAppId (std::string appId)
| Sets the Application Id of GoPxL instance. More...
void | SetAppName (std::string appName)
| Sets the Application name of GoPxL instance. More...
void | SetAppVersion (std::string appVersion)
| Sets the Application version of GoPxL instance. More...
void | SetControlPort (k32u controlPort)
| Sets the Control port of GoPxL instance. More...
void | SetDeviceModel (std::string deviceModel)
| Sets the Device model of GoPxL instance. More...
void | SetGateway (kIpAddress gateway)
| Sets the Gateway of GoPxL instance. More...
void | SetGdpPort (k32u gdpPort)
| Sets the Gocator Data Protocol (Gdp) port of GoPxL instance. More...
void | SetIpAddress (kIpAddress ipAddress)
| Sets the Ip address of GoPxL instance. More...
void | SetIsAddressConflict (bool isAddressConflict)
| Sets isAddressConflict value of GoPxL instance if there was an IP address conflict, false otherwise. More...
void | SetIsDhcp (bool isDhcp)
| Sets Dhcp of GoPxL instance to true if Dchp is enabled or false otherwise. More...
void | SetIsRemote (bool isRemote)
| Sets isRemote of GoPxL instance to true if GoPxL instance is connected remotely, false otherwise. More...
void | SetMask (kIpAddress mask)
| Sets the Mask of GoPxL instance. More...
void | SetSerialNumber (k32u serialNumber)
| Sets the Serial Number of GoPxL instance. More...
void | SetWebPort (k32u webPort)
| Sets the Web port of GoPxL instance. More...
| ~GoInstance ()=default

The documentation for this class was generated from the following file:

- GoInstance.h